summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorStefan Briesenick <sbriesen@gentoo.org>2006-07-04 17:33:10 +0000
committerStefan Briesenick <sbriesen@gentoo.org>2006-07-04 17:33:10 +0000
commit62d5c40fdc9ee01be4bba79b652beef223159caf (patch)
tree436fb932eb346eebe7e3db71272457b7a5bd9065 /net-proxy/ziproxy/files
parent* bump (diff)
downloadgentoo-2-62d5c40fdc9ee01be4bba79b652beef223159caf.tar.gz
gentoo-2-62d5c40fdc9ee01be4bba79b652beef223159caf.tar.bz2
gentoo-2-62d5c40fdc9ee01be4bba79b652beef223159caf.zip
version bump, solving bug #139135.
(Portage version: 2.1.1_pre2-r1)
Diffstat (limited to 'net-proxy/ziproxy/files')
-rw-r--r--net-proxy/ziproxy/files/digest-ziproxy-2.0.03
-rw-r--r--net-proxy/ziproxy/files/ziproxy-2.0.confd12
-rw-r--r--net-proxy/ziproxy/files/ziproxy-2.0.initd26
3 files changed, 41 insertions, 0 deletions
diff --git a/net-proxy/ziproxy/files/digest-ziproxy-2.0.0 b/net-proxy/ziproxy/files/digest-ziproxy-2.0.0
new file mode 100644
index 000000000000..987441af98a7
--- /dev/null
+++ b/net-proxy/ziproxy/files/digest-ziproxy-2.0.0
@@ -0,0 +1,3 @@
+MD5 de9c66860b0f56e940eb92f0a7c867c9 ziproxy-2.0.0.tar.bz2 124371
+RMD160 bf9e5b7c500f7c12328e690830f45dcc0cc1169a ziproxy-2.0.0.tar.bz2 124371
+SHA256 9c3d755bd8e384185c3715c32eaf17d49825dc4e23cc99fcc94270c77d7b22a3 ziproxy-2.0.0.tar.bz2 124371
diff --git a/net-proxy/ziproxy/files/ziproxy-2.0.confd b/net-proxy/ziproxy/files/ziproxy-2.0.confd
new file mode 100644
index 000000000000..73417ca560c0
--- /dev/null
+++ b/net-proxy/ziproxy/files/ziproxy-2.0.confd
@@ -0,0 +1,12 @@
+# configuraton file for /etc/init.d/ziproxy
+
+# Full path to ziproxy.conf file (instead of default one).
+#
+#CONFIG="/etc/ziproxy.conf"
+
+# Limit incoming connections only from the specified address(es).
+# This option has the same meaning, but higher precedence as
+# "OnlyFrom=" option in configuration file. Uncomment it
+# if you want to set it.
+#
+#ONLYFROM="<IP.address or hostname>"
diff --git a/net-proxy/ziproxy/files/ziproxy-2.0.initd b/net-proxy/ziproxy/files/ziproxy-2.0.initd
new file mode 100644
index 000000000000..2a82e14eb78b
--- /dev/null
+++ b/net-proxy/ziproxy/files/ziproxy-2.0.initd
@@ -0,0 +1,26 @@
+#!/sbin/runscript
+# Copyright 1999-2006 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Header: /var/cvsroot/gentoo-x86/net-proxy/ziproxy/files/ziproxy-2.0.initd,v 1.1 2006/07/04 17:33:10 sbriesen Exp $
+
+depend() {
+ need net
+}
+
+start() {
+ local OPT="-d"
+ ebegin "Starting ziproxy"
+
+ [ -n "${CONFIG}" ] && OPT="${OPT} -c ${CONFIG}"
+ [ -n "${ONLYFROM}" ] && OPT="${OPT} -f ${ONLYFROM}"
+
+ start-stop-daemon --quiet --start --pidfile /var/run/ziproxy.pid \
+ --chuid ziproxy:ziproxy --exec /usr/bin/ziproxy -- ${OPT} > /var/run/ziproxy.pid
+ eend $?
+}
+
+stop() {
+ ebegin "Stopping ziproxy"
+ start-stop-daemon --stop --quiet --pidfile /var/run/ziproxy.pid
+ eend $?
+}